Loading...
Searching...
No Matches
gpiod::chip_info Class Referencefinal

Represents an immutable snapshot of GPIO chip information. More...

`#include <chip-info.hpp>`

## Public Member Functions

| chip_info (const chip_info &other)
| Copy constructor.
| chip_info (chip_info &&other) noexcept
| Move constructor.
| ~chip_info ()
chip_info & | operator= (const chip_info &other)
| Assignment operator.
chip_info & | operator= (chip_info &&other) noexcept
| Move assignment operator.
::std::string | name () const noexcept
| Get the name of this GPIO chip.
::std::string | label () const noexcept
| Get the label of this GPIO chip.
::std::size_t | num_lines () const noexcept
| Return the number of lines exposed by this chip.

## Detailed Description

Represents an immutable snapshot of GPIO chip information.

## Constructor & Destructor Documentation

## chip_info() [1/2]

gpiod::chip_info::chip_info | ( | const chip_info & | other | ) |

Copy constructor.

Parameters

  other | Object to copy.

## chip_info() [2/2]

gpiod::chip_info::chip_info | ( | chip_info && | other | ) |

noexcept

Move constructor.

Parameters

  other | Object to move.

## ~chip_info()

gpiod::chip_info::~chip_info | ( |  | ) |

## Member Function Documentation

## label()

::std::string gpiod::chip_info::label | ( |  | ) | const

noexcept

Get the label of this GPIO chip.

Returns
  String containing the chip name.

## name()

::std::string gpiod::chip_info::name | ( |  | ) | const

noexcept

Get the name of this GPIO chip.

Returns
  String containing the chip name.

## num_lines()

::std::size_t gpiod::chip_info::num_lines | ( |  | ) | const

noexcept

Return the number of lines exposed by this chip.

Returns
  Number of lines.

## operator=() [1/2]

chip_info & gpiod::chip_info::operator= | ( | chip_info && | other | ) |

noexcept

Move assignment operator.

Parameters

  other | Object to move.

Returns
  Reference to self.

## operator=() [2/2]

chip_info & gpiod::chip_info::operator= | ( | const chip_info & | other | ) |

Assignment operator.

Parameters

  other | Object to copy.

Returns
  Reference to self.

The documentation for this class was generated from the following file:

- chip-info.hpp